## Copyright

Copyright is held under the name "Altimit Community Contributors". Altimit Community Contributors includes Altimit Systems LTD and all accepted Pull requests to the **AltimitSystems/mv-android-client/master** branch.

## Pull requests

To make the review process simple and to help with understanding the nature of your changes please adhere to the following guidelines:

- Work on the latest possible state of the **AltimitSystems/mv-android-client/master** branch.
- Create a branch dedicated to your change and named appropriately.
- Keep compatibility with the target version of Android that the master branch uses.
- Keep bug fixes and features as separate branches.
- Explain changes in detail and be prepared to answer questions and further concerns.

## Coding style

Coding style is based on the [Google Java Style Guide](https://google.github.io/styleguide/javaguide.html) with modifications.

- Parameter names (class member variables) must be prefixed with the Latin small letter **m** (U+006D).
- Usage of finalize is permissible for the case of singleton destruction.